View Issue Details

IDProjectCategoryView StatusLast Update
0000532Far Manager 1.7xMacropublic2008-06-25 08:47
ReporterHaRTAssigned Tovskirdin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000532: Недостающие состояния в Редакторе и Просмотрщике
DescriptionПрошу добавить в Editor.State/ Viewer.State битики (одинаковые), которые показывали бы:
1. модальность редактора/ просмотрщика - например, 0x0800.
2. запущен ли Фар в режиме Редактора/ Просмотрщика (с опцией -e/-v) - например, 0x1000.
TagsNo tags attached.
Build2363

Activities

vskirdin

2008-05-20 13:44

administrator   bugnote:0001507

Вопрос.
Если юзается опция /e или /v - в этом случае флаг модальности тоже подымать?

HaRT

2008-05-20 13:50

reporter   bugnote:0001508

> Если юзается опция /e или /v - в этом случаефлаг модальности тоже подымать?
Нет, т.к. можно открыть ещё просмотр/ редактирование из Истории.

vskirdin

2008-05-22 12:13

administrator   bugnote:0001516

после 2363/485
   Для Editor.State и Viewer.State:
     0x08000000 - режим "редактор/вьювер" (FAR запущен с ключами /e /v)
     0x00000800 - модальный редактор/вьювер

HaRT

2008-06-25 05:47

reporter   bugnote:0001629

Проверено на сборке 2368

Issue History

Date Modified Username Field Change
2008-05-10 09:25 HaRT New Issue
2008-05-10 09:25 HaRT Status new => assigned
2008-05-10 09:25 HaRT Assigned To => vskirdin
2008-05-20 13:44 vskirdin Note Added: 0001507
2008-05-20 13:50 HaRT Note Added: 0001508
2008-05-22 12:13 vskirdin Note Added: 0001516
2008-05-22 12:13 vskirdin Status assigned => feedback
2008-06-25 05:47 HaRT Status feedback => resolved
2008-06-25 05:47 HaRT Resolution open => fixed
2008-06-25 05:47 HaRT Note Added: 0001629
2008-06-25 08:47 vskirdin Build => 2363
2008-06-25 08:47 vskirdin Status resolved => closed
2008-06-25 08:47 vskirdin Fixed in Version => 1.71